Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Interface DataViewListener

All Superinterfaces:
  BoxComponentListener, ComponentListener

All Known Implementing Classes:
  DataViewListenerAdapter

    public interface DataViewListener

extends BoxComponentListener

`DataView` listener.

Method Summary
`boolean` | `doBeforeClick(DataView source, int index, com.google.gwt.user.client.Element node, EventObject e)` Fires before a click is processed.
`boolean` | `doBeforeSelect(DataView source, com.google.gwt.user.client.Element node, com.google.gwt.user.client.Element[] selections)` Fires before a selection is made.
`void` | `onClick(DataView source, int index, com.google.gwt.user.client.Element node, EventObject e)` Fires when a template node is clicked.
`void` | `onContainerClick(DataView source, EventObject e)` Fires when a click occurs and it is not on a template node.
`void` | `onContextMenu(DataView source, int index, com.google.gwt.user.client.Element node, EventObject e)` Fires when a template node is right clicked.
`void` | `onDblClick(DataView source, int index, com.google.gwt.user.client.Element node, EventObject e)` Fires when a template node is double clicked.
`void` | `onSelectionChange(DataView view, com.google.gwt.user.client.Element[] selections)` Fires when the selected nodes change.

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Method Detail

### doBeforeClick

    boolean doBeforeClick(DataView source,
                          int index,
                          com.google.gwt.user.client.Element node,
                          EventObject e)

  Fires before a click is processed. Returns false to cancel the default action.

  Parameters:
    `source` - this
    `index` - The index of the target node
    `node` - The target node
    `e` - The raw event object
  Returns:
    false to cancel

### doBeforeSelect

    boolean doBeforeSelect(DataView source,
                           com.google.gwt.user.client.Element node,
                           com.google.gwt.user.client.Element[] selections)

  Fires before a selection is made. If any handlers return false, the selection is cancelled.

  Parameters:
    `source` - this
    `node` - The node to be selected
    `selections` - Array of currently selected nodes
  Returns:
    false to cancel

### onClick

    void onClick(DataView source,
                 int index,
                 com.google.gwt.user.client.Element node,
                 EventObject e)

  Fires when a template node is clicked.

  Parameters:
    `source` - this
    `index` - The index of the target node
    `node` - The target node
    `e` - The raw event object

### onContainerClick

    void onContainerClick(DataView source,
                          EventObject e)

  Fires when a click occurs and it is not on a template node.

  Parameters:
    `source` - this
    `e` - The raw event object

### onContextMenu

    void onContextMenu(DataView source,
                       int index,
                       com.google.gwt.user.client.Element node,
                       EventObject e)

  Fires when a template node is right clicked.

  Parameters:
    `source` - this
    `index` - The index of the target node
    `node` - The target node
    `e` - The raw event object

### onDblClick

    void onDblClick(DataView source,
                    int index,
                    com.google.gwt.user.client.Element node,
                    EventObject e)

  Fires when a template node is double clicked.

  Parameters:
    `source` - this
    `index` - The index of the target node
    `node` - The target node
    `e` - The raw event object

### onSelectionChange

    void onSelectionChange(DataView view,
                           com.google.gwt.user.client.Element[] selections)

  Fires when the selected nodes change.

  Parameters:
    `view` - this
    `selections` - array of the selected nodes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD